﻿using Hotline.Share.Dtos.Snapshot;
using Hotline.Users;
using XF.Domain.Dependency;

namespace Hotline.Application.Tests.Mock;
public class ThirdTestService : IThirdIdentiyService, IScopeDependency
{
    public async Task<ThirdPhoneOutDto> GetPhoneNumberAsync(ThirdTokenDto dto)
    {
        return new ThirdPhoneOutDto
        {
            PhoneNumber = "138001389877"
        };
    }

    public async Task<ThirdTokenOutDto> GetTokenAsync(ThirdTokenDto dto)
    {
        return new ThirdTokenOutDto
        {
            SessionKey = "sessionKeyfjdklsafjdskla",
            OpenId = "测试生成的OpenId"
        };
    }
}
